# Uses of Interface
org.eclipse.ui.views.IViewDescriptor

Packages that use IViewDescriptor
Package
Description
org.eclipse.ui.views
Application programming interfaces for interaction with and extension of the Eclipse Platform User Interface.

## Uses of IViewDescriptor in org.eclipse.ui.views

Methods in org.eclipse.ui.views that return IViewDescriptor
Modifier and Type
Method
Description
`IViewDescriptor`
IViewRegistry.`find(String id)`
Return a view descriptor with the given extension id.
`IViewDescriptor[]`
IViewCategory.`getViews()`
Return the views contained within this category.
`IViewDescriptor[]`
IViewRegistry.`getViews()`
Return a list of views defined in the registry.